Bug 289150 - after flattening the image, you can't draw on the last layer remaining
Summary: after flattening the image, you can't draw on the last layer remaining
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 2.4-snapshots
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-16 22:45 UTC by Philippe Nicloux
Modified: 2011-12-18 09:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Nicloux 2011-12-16 22:45:28 UTC
Version:           2.4-snapshots (using Devel) 
OS:                Linux

after flattening the layers, if it stills only one layer, what you draw on it will be invisible. But if you add one layer, what you have drawn will appear.
and the image doesn't refresh anymore.

Reproducible: Always

Steps to Reproduce:
1- draw on several layers
2- flatten the image
3- try to draw

Actual Results:  
what you draw is invisible
but if you add a layer, what you have drawn is visible again

Expected Results:  
possibility to draw on the layer, even if it is the only one
Comment 1 Dmitry Kazakov 2011-12-18 09:18:01 UTC
Git commit 22d1a0613a1ee8f3f14635c17528512b9669a8a7 by Dmitry Kazakov.
Committed on 18/12/2011 at 11:15.
Pushed by dkazakov into branch 'master'.

Added recursive setting of graph listener into KisNode::setGraphListener()

Otherwise, the child nodes will get the listener only in case they were
added to the parent *after* the parent is connected to the listener.

BUG:289150

M  +6    -0    krita/image/kis_node.cpp
M  +49   -2    krita/image/tests/kis_node_graph_listener_test.cpp
M  +23   -2    krita/image/tests/kis_node_graph_listener_test.h

http://commits.kde.org/calligra/22d1a0613a1ee8f3f14635c17528512b9669a8a7